Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZArticleAttribute Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| get ( $id=-1)
& | getAll ()
| delete ()
| id ()
| name ()
| type ()
| setName ( $value)
| setType ( $type)
| setValue ( $article, $value)
| value ( $article)
| moveUp ()
| moveDown ()

## Static Public Member Functions
| getByName ( $name)

## Public Attributes
| $ID
| $TypeID
| $Name
| $Placement

## Detailed Description

! eZArticle This class handles different article attributes.

$attribute = new eZArticleAttribute();
$attribute->setType( $type );
$attribute->setName( "Doors" );
$attribute->store();
eZArticleAttribute
Definition: ezarticleattribute.php:49
$type
$type
Definition: classes/admin/linkselect.php:220

See also
  eZArticle

Definition at line 48 of file ezarticleattribute.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZArticleAttribute::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZArticleAttribute object. Retrieves the data from the database if a valid id is given as an argument.

Definition at line 54 of file ezarticleattribute.php.

References $ID, and $id.

## Member Function Documentation

## ◆ delete()

eZArticleAttribute::delete | ( |  | ) |

Deletes a option from the database.

Definition at line 194 of file ezarticleattribute.php.

References $db, and eZDB\globalDatabase().

## ◆ get()

eZArticleAttribute::get | ( |  | $id = `-1` | ) |

Fetches the article attribute object values from the database.

Definition at line 121 of file ezarticleattribute.php.

References $db, $id, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZArticleAttribute::getAll | ( |  | ) |

Retrieves every option from the database.

Definition at line 146 of file ezarticleattribute.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ getByName()

eZArticleAttribute::getByName | ( |  | $name | ) |
| static

Returns the one, and only if one exists, attribute with the name

Returns an object of eZArticleAttribute.

Definition at line 169 of file ezarticleattribute.php.

References $db, $name, $topic, and eZDB\globalDatabase().

## ◆ id()

eZArticleAttribute::id | ( |  | ) |

Returns the object ID to the option. This is the unique ID stored in the database.

Definition at line 205 of file ezarticleattribute.php.

References $ID.

## ◆ moveDown()

eZArticleAttribute::moveDown | ( |  | ) |

Moves this item down one step in the order list, this means that it will swap place with the item below.

Definition at line 372 of file ezarticleattribute.php.

References $db, and eZDB\globalDatabase().

## ◆ moveUp()

eZArticleAttribute::moveUp | ( |  | ) |

Moves this item up one step in the order list, this means that it will swap place with the item above.

Definition at line 331 of file ezarticleattribute.php.

References $db, $query, and eZDB\globalDatabase().

## ◆ name()

eZArticleAttribute::name | ( |  | ) |

Returns the name of the attribute.

Definition at line 213 of file ezarticleattribute.php.

References $Name.

## ◆ setName()

eZArticleAttribute::setName | ( |  | $value | ) |

Sets the name of the attribute.

Definition at line 232 of file ezarticleattribute.php.

References Name.

## ◆ setType()

eZArticleAttribute::setType | ( |  | $type | ) |

Sets the type of the attribute.

Definition at line 240 of file ezarticleattribute.php.

References $type.

## ◆ setValue()

eZArticleAttribute::setValue | ( |  | $article,
|  |  | $value
| ) |  |

Sets the attribute value for the given article.

Definition at line 252 of file ezarticleattribute.php.

References $article, $articleID, $db, $res, and eZDB\globalDatabase().

## ◆ store()

eZArticleAttribute::store | ( |  | ) |

Stores a eZArticleattribute object to the database.

Definition at line 66 of file ezarticleattribute.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## ◆ type()

eZArticleAttribute::type | ( |  | ) |

Returns the type of the attribute.

Definition at line 221 of file ezarticleattribute.php.

References $type.

## ◆ value()

eZArticleAttribute::value | ( |  | $article | ) |

Returns the attribute value to the given article.

Definition at line 306 of file ezarticleattribute.php.

References $article, $articleID, $db, $ret, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $ID

eZArticleAttribute::$ID

Definition at line 405 of file ezarticleattribute.php.

Referenced by __construct(), and id().

## ◆ $Name

eZArticleAttribute::$Name

Definition at line 407 of file ezarticleattribute.php.

Referenced by name().

## ◆ $Placement

eZArticleAttribute::$Placement

Definition at line 408 of file ezarticleattribute.php.

## ◆ $TypeID

eZArticleAttribute::$TypeID

Definition at line 406 of file ezarticleattribute.php.

The documentation for this class was generated from the following file:

- ezarticleattribute.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.